Attestations
Create or renew an institution attestation for a product.
Create a new institution-level attestation scoped to the caller’s entity and product.
The attestation is valid for 12 months from the time it is created. Creating a new attestation does not revoke prior ones; the most recently created active attestation for a given product is treated as the current one.
Parameters
body : InstitutionAttestationCreateRequest.
Attestation payload.
Returns
response : InstitutionAttestationResponse.
The newly created attestation record.
POST
/
v1
/
institution-attestation
Create or renew an institution attestation for a product.
curl --request POST \
--url https://api.solo.one/v1/institution-attestation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signed_by_name": "<string>",
"signed_by_title": "<string>",
"attestation_data": {}
}
'import requests
url = "https://api.solo.one/v1/institution-attestation"
payload = {
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signed_by_name": "<string>",
"signed_by_title": "<string>",
"attestation_data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
signed_by_name: '<string>',
signed_by_title: '<string>',
attestation_data: {}
})
};
fetch('https://api.solo.one/v1/institution-attestation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signed_by_name": "<string>",
"signed_by_title": "<string>",
"signed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"attestation_data": {},
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I
Create or renew an institution attestation for a product.
